# Interface IdentifyOptions

Options that can be passed into tasks/identify/IdentifyService!IdentifyService.identify.

interface IdentifyOptions {
cancelToken?: CancelToken;
maxAllowableOffset?: number;
maxResults?: number;
onSourceComplete?: ((result: TaskResult) => void);
outFields?: string[];
outSpatialReference?: SpatialReference;
returnGeometry?: boolean;
tolerance?: number;
}

#####
Index

### Properties

cancelToken?
maxAllowableOffset?
maxResults?
onSourceComplete?
outFields?
outSpatialReference?
returnGeometry?
tolerance?

##
Properties

### `Optional` cancelToken

cancelToken?: CancelToken

An optional cancel token from a support/Cancellable!Cancellable that can be used to cancel the search.

### `Optional` maxAllowableOffset

maxAllowableOffset?: number

The maximum allowable offset used for generalizing geometries returned by the query operation.

### `Optional` maxResults

maxResults?: number

The maximum number of results to return.

### `Optional` onSourceComplete

onSourceComplete?: ((result: TaskResult) => void)

An optional callback that will be invoked with additional information about the tasks's result for each source.

### `Optional` outFields

outFields?: string[]

List of fields that should be returned that overrides the default out fields.

### `Optional` outSpatialReference

outSpatialReference?: SpatialReference

The spatial reference for the returned geometry.

### `Optional` returnGeometry

returnGeometry?: boolean

Whether geometry for features should be returned.

### `Optional` tolerance

tolerance?: number

The distance in meters to buffer any geometries used in 2D identify operations.